# Class ARIXP0Sampler

java.lang.Object
com.io7m.aradine.instrument.sampler_xp0.internal.ARIXP0Sampler

All Implemented Interfaces:
  `ARI1InstrumentType`

public final class ARIXP0Sampler extends Object implements ARI1InstrumentType
A polyphonic sampler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARIXP0Sampler(ARI1InstrumentContextImplementationObjectsType inObjects, ARI1EventBufferType<ARI1EventConfigurationType> inEventBuffer, Parameters inParameters, Ports inPorts)`
  A polyphonic sampler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `process(ARI1InstrumentContextType context)`
  Execute audio processing for one processing period.
  `void`
  `receiveEvent(ARI1InstrumentContextType context, ARI1EventConfigurationType event)`
  Receive and buffer an event for processing during the next processing period.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ARIXP0Sampler

    public ARIXP0Sampler(ARI1InstrumentContextImplementationObjectsType inObjects, ARI1EventBufferType<ARI1EventConfigurationType> inEventBuffer, Parameters inParameters, Ports inPorts)
    A polyphonic sampler.
    Parameters:
      `inObjects` - A supplier of objects
      `inEventBuffer` - The event buffer
      `inParameters` - The parameters
      `inPorts` - The ports

- ## Method Details

  - ### process

    public void process(ARI1InstrumentContextType context)
    Description copied from interface: `ARI1InstrumentType`
    Execute audio processing for one processing period.
    Specified by:
      `process` in interface `ARI1InstrumentType`
    Parameters:
      `context` - The audio processing context

  - ### receiveEvent

    public void receiveEvent(ARI1InstrumentContextType context, ARI1EventConfigurationType event)
    Description copied from interface: `ARI1InstrumentType`
    Receive and buffer an event for processing during the next processing period.
    Specified by:
      `receiveEvent` in interface `ARI1InstrumentType`
    Parameters:
      `context` - The audio processing context
      `event` - The event